import { ComponentBase } from '../ComponentBase';
export interface IModalOptions {
    backdrop: boolean | 'static';
    keyboard: boolean;
    focus: boolean;
    show: boolean;
}
export declare const ModalEvents: {
    SHOW: string;
    SHOWN: string;
    HIDE: string;
    HIDDEN: string;
};
export declare class Modal extends ComponentBase {
    size: 'modal-sm' | 'modal-lg' | 'modal-xl';
    options: IModalOptions;
    constructor(element: Element);
    attached(): void;
    show(): void;
    hide(): void;
    toggle(): void;
    handleUpdate(): void;
    dispose(): void;
    private optionsChanged;
}
